Subject: RE: SEIS: Re: Certificates, Directories, and Distinguished Names

From: Alan Lloyd <[email-masked]>
Date: Wed, 21 Apr 1999 10:32:49 +1000

I wont continue this simply because of the context shifting in the
responses -  Sad examples below.

> -----Original Message-----
> From:	Stephen Kent 
> Sent:	Wednesday, April 14, 1999 11:29 PM
> To:	Alan Lloyd
> Cc:	[email-masked]; [email-masked]
> Subject:	SEIS: Re: Certificates, Directories, and Distinguished
> Names
> 
> --- Message on the SEIS mailing list ([email-masked])
> 
> Alan,
> 
> >Stephen - in all your words you never seem to come to grips with the
> >fact that X.509 is not ambigious in so far that it permits systems to
> be
> >built without certificate extensions - and for those build such
> systems
> >to determine by local means or imply what is a EE or a CA cert and
> what
> >use that cert has (eg for message verification or cert
> verification)..
> >X.509 - was written some years ago and it correctly (a a standard
> >should) provided a transition path to the use of cert extensions.
> 
> Vome on Alan, we're talking about changes only with regard to X.509
> v3.
> 
	Groan --- Which happens to be specified in X.509. - the
standard,

> >RFC 2459 came along some time later as a profile and just the fact
> that
> >people are discussing the issue in 2459 and it is unclear - means
> there
> >is a problem - in the Profile.
> 
> 2459 did not come along much later than the adoption of X.509 v3. And,
> no,
> there is not a profile problem, as too many previous messages have
> show in
> detail.
> 
	I was referring to the standard (X.509) was written earlier than
the profiles .. thats a fact of life and common knowledge. 

	To respond to my point with pointless statement that tries to
show me wrong me by changing context eg...
	" 2459 did not come along much later than the adoption of X.509
v3" 
	note the word "adoption" has been added to prove me wrong......

	If this is the approach to logical debate - that is also used to
debate technology issues , then one can see why these lists have
difficulty.

	regards as always. alan

> <text not contributing to resolution of the issue deleted ...>
> 
> Steve
> 
> 
> ----------------- SEIS mailing list ([email-masked])
> Info about this list: http://www.nc-forum.com/seis
> SEIS Contact: [email-masked]

---

From: Stephen Kent <[email-masked]>
Date: Thu, 22 Apr 1999 22:53:36 -0400

Alan,

I am puzzled by your comments.  Let me try one more time to clarify what I
said in my previous message.

<snip>

>	Groan --- Which happens to be specified in X.509. - the

Version 1 of X.509 did not envision extensions; all it did was include a
version number, something that was left out of the CRL spec, by the way.
Our diccussion about how to mark CA certs applies ONLY to v3 certs, since
v1 certs failed to address this problem at all.  We're not talking about
how to fix v1 certs, only about how to make v3 certs unambiguous with
regard to CA marking.

>	note the word "adoption" has been added to prove me wrong......

I used the word "adoption" to refer to final approval of X.509 v3, which
was fairly recent.  Both 2459 and X.509 v3 continued to evolve in parallel,
with each document making changes to reflect decisions in the other
standaards effort, so as to minimize differences between the two.  The term
adoption is perfectly appropriate here and is not some sort of trick to
change the topic. You argued that X.509 came first and thus has prority
over the 2459 profile.  Well, v3 of X.509 was not completed much before
2459, and as my example re the missing v1 CRL version number field points
out, being first and being a standard is no guarantee of correctness.

>debate technology issues , then one can see why these lists have

Yes, this is a logical approach to debate.  Sorry if my choice of terms was
confusing, but I fear the real problem is deeper.

Steve